com.brightcove.player.dash

## Class OfflineDashManifestParser

- java.lang.Object
- - com.brightcove.player.dash.OfflineDashManifestParser

- All Implemented Interfaces:
    com.google.android.exoplayer2.upstream.ParsingLoadable.Parser<com.google.android.exoplayer2.source.dash.manifest.DashManifest>

      public class OfflineDashManifestParser
      extends java.lang.Object
      implements com.google.android.exoplayer2.upstream.ParsingLoadable.Parser<com.google.android.exoplayer2.source.dash.manifest.DashManifest>

  This class is used to parse an offline Dash Manifest and filters in only the Representations which were previously stored in the device.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OfflineDashManifestParser(com.google.android.exoplayer2.source.dash.manifest.DashManifestParser wrappedManifestParser, android.content.Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.android.exoplayer2.source.dash.manifest.DashManifest` | `parse(android.net.Uri uri, java.io.InputStream inputStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OfflineDashManifestParser

          public OfflineDashManifestParser(@NonNull
                                           com.google.android.exoplayer2.source.dash.manifest.DashManifestParser wrappedManifestParser,
                                           android.content.Context context)

  - ### Method Detail

    - #### parse

          public com.google.android.exoplayer2.source.dash.manifest.DashManifest parse(android.net.Uri uri,
                                                                                       java.io.InputStream inputStream)
                                                                                throws java.io.IOException

      Specified by:
        `parse` in interface `com.google.android.exoplayer2.upstream.ParsingLoadable.Parser<com.google.android.exoplayer2.source.dash.manifest.DashManifest>`
      Throws:
        `java.io.IOException`